site_name: Auto-GPT
site_url: https://docs.agpt.co/
repo_url: https://github.com/Significant-Gravitas/Auto-GPT
nav:
  - Home: index.md
  - Setup: setup.md
  - Usage: usage.md
  - Plugins: plugins.md
  - Configuration:
    - Search: configuration/search.md
    - Memory: configuration/memory.md
    - Voice: configuration/voice.md
    - Image Generation: configuration/imagegen.md

  - Contributing:
    - Contribution guide: contributing.md
    - Running tests: testing.md
    - Code of Conduct: code-of-conduct.md

  - Challenges:
    - Introduction: challenges/introduction.md
    - List of Challenges:
      - Memory:
        - Introduction: challenges/memory/introduction.md
        - Memory Challenge A: challenges/memory/challenge_a.md
        - Memory Challenge B: challenges/memory/challenge_b.md
        - Memory Challenge C: challenges/memory/challenge_c.md
        - Memory Challenge D: challenges/memory/challenge_d.md
      - Information retrieval:
        - Introduction: challenges/information_retrieval/introduction.md
        - Information Retrieval Challenge A: challenges/information_retrieval/challenge_a.md
        - Information Retrieval Challenge B: challenges/information_retrieval/challenge_b.md
  - Submit a Challenge: challenges/submit.md
  - Beat a Challenge: challenges/beat.md

  - License: https://github.com/Significant-Gravitas/Auto-GPT/blob/master/LICENSE

theme: readthedocs

markdown_extensions:
  admonition:
  codehilite:
  pymdownx.keys:
